* {
    -webkit-tap-highlight-color: rgba(0,0,0,0); /* make transparent link selection, adjust last value opacity 0 to 1.0 */
}

body {
    -webkit-touch-callout: none;                /* prevent callout to copy image, etc when tap to hold */
    -webkit-text-size-adjust: none;             /* prevent webkit from resizing text to fit */
    -webkit-user-select: none;                  /* prevent copy paste, to allow, change 'none' to 'text' */
    background-color:#E4E4E4;
    background-image:linear-gradient(to bottom, #f1ecec 0%, #E4E4E4 51%);
    font-family: system-ui, -apple-system, -apple-system-font, 'Segoe UI', 'Roboto', sans-serif;
    font-size:12px;
    height:100vh;
    margin:0px;
    padding:0px;
    /* Padding to avoid the "unsafe" areas behind notches in the screen */
    padding: env(safe-area-inset-top, 0px) env(safe-area-inset-right, 0px) env(safe-area-inset-bottom, 0px) env(safe-area-inset-left, 0px);
    text-transform:uppercase;
    width:100%;
}

/* Portrait layout (default) */
.app {
    background:url(../img/logo.png) no-repeat center top; /* 170px x 200px */
    position:absolute;             /* position in the center of the screen */
    left:50%;
    top:50%;
    height:50px;                   /* text area height */
    width:225px;                   /* text area width */
    text-align:center;
    padding:180px 0px 0px 0px;     /* image height is 200px (bottom 20px are overlapped with text) */
    margin:-115px 0px 0px -112px;  /* offset vertical: half of image height and text area height */
                                   /* offset horizontal: half of text area width */
}

/* Landscape layout (with min-width) */
@media screen and (min-aspect-ratio: 1/1) and (min-width:400px) {
    .app {
        background-position:left center;
        padding:75px 0px 75px 170px;  /* padding-top + padding-bottom + text area = image height */
        margin:-90px 0px 0px -198px;  /* offset vertical: half of image height */
                                      /* offset horizontal: half of image width and text area width */
    }
}

h1 {
    font-size:24px;
    font-weight:normal;
    margin:0px;
    overflow:visible;
    padding:0px;
    text-align:center;
}

.event {
    border-radius:4px;
    color:#FFFFFF;
    font-size:12px;
    margin:0px 30px;
    padding:2px 0px;
}

.event.listening {
    background-color:#333333;
    display:block;
}

.event.received {
    background-color:#4B946A;
    display:none;
}

#deviceready.ready .event.listening { display: none; }
#deviceready.ready .event.received { display: block; }

@keyframes fade {
    from { opacity: 1.0; }
    50% { opacity: 0.4; }
    to { opacity: 1.0; }
}

.blink {
    animation:fade 3000ms infinite;
    -webkit-animation:fade 3000ms infinite;
}


@media screen and (prefers-color-scheme: dark) {
    body {
        background-image:linear-gradient(to bottom, #bad8d5 0%, #7cd8df 51%);
    }
}

/*______________________________________________________
/* Login e cadastro
/* CSS reset */
*, *:before, *:after { 
    margin:0;
    padding:0;
    font-family: Arial,sans-serif;
  }
  
  body{
    margin:10px;
  }
  
  a{
    text-decoration: none;
  }
  
  /* esconde as ancoras da tela */
  a.links{
    display: none;
  }
  
  /* content que contem os formulários */
  .content{
    width: 300px;
    margin: 0px auto;
    position: relative; 
  }
  
  /* formatando o cabeçalho dos formulários */
  h1{
    font-size: 48px;
    color: #066a75;
    padding: 10px 0;
    font-family: Arial,sans-serif;
    font-weight: bold;
    text-align: center;
    padding-bottom: 30px;
  }
  h1:after{
    content: ' ';
    display: block;
    width: 100%;
    height: 2px;
    margin-top: 10px;
    background: -webkit-linear-gradient(left, rgba(147,184,189,0) 0%,rgba(147,184,189,0.8) 20%,rgba(147,184,189,1) 53%,rgba(147,184,189,0.8) 79%,rgba(147,184,189,0) 100%); 
    background: linear-gradient(left, rgba(147,184,189,0) 0%,rgba(147,184,189,0.8) 20%,rgba(147,184,189,1) 53%,rgba(147,184,189,0.8) 79%,rgba(147,184,189,0) 100%); 
  }
  
  p{
    margin-bottom:15px;
  }
  p:first-child{
    margin: 0px;
  }
  label{
    color: #405c60;
    position: relative;
  }
  
  /**** advanced input styling ****/
  /* placeholder */
  ::-webkit-input-placeholder  {
    color: #bebcbc; 
    font-style: italic;
  }
  input:-moz-placeholder,
  textarea:-moz-placeholder{
    color: #bebcbc;
    font-style: italic;
  } 
  input {
    outline: none;
  }
  
  input:not([type="checkbox"]){
    width: 95%;
    margin-top: 4px;
    padding: 10px;  
    border: 1px solid #b2b2b2;
    
    -webkit-border-radius: 3px;
    border-radius: 3px;
    
    -webkit-box-shadow: 0px 1px 4px 0px rgba(168, 168, 168, 0.6) inset;
    box-shadow: 0px 1px 4px 0px rgba(168, 168, 168, 0.6) inset;
    
    -webkit-transition: all 0.2s linear;
    transition: all 0.2s linear;
  }
  
  /*estilo do botão submit */
  .buttonLogar {
    width: 100%!important;
    cursor: pointer;  
    background: #3d9db3;
    padding: 8px 5px;
    color: #fff;
    font-size: 20px;  
    border: 1px solid #fff; 
    margin-bottom: 10px;  
    text-shadow: 0 1px 1px #333;
    text-align: center;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    
    transition: all 0.2s linear;
  }
  .buttonLogar:hover{
    background: #4ab3c6;
  }
  
  /*marcando os links para mudar de um formulário para outro */
  
  #login.link{
    position: absolute;
    background: #e1eaeb;
    color: #7f7c7c;
    left: 0px;
    height: 15px;
    width: 240px;
    padding: 20px 30px 20px 30px;
    font-size: 12px;
    text-align: left;
    border-top: 1px solid #dbe5e8;
  
    -webkit-border-radius: 0 0  5px 5px;
    border-radius: 0 0  5px 5px;
  }
  #login.link a {
    font-weight: bold;
    background: #f7f8f1;
    padding: 6px;
    color: rgb(29, 162, 193);
    margin-left: 10px;
    border: 1px solid #cbd518;
  
    -webkit-border-radius: 4px;
    border-radius: 4px;  
  
    -webkit-transition: all 0.4s linear;
    transition: all 0.4s  linear;
  }
  #login.link a:hover {
    color: #39bfd7;
    background: #f7f7f7;
    border: 1px solid #4ab3c6;
  }
 
    
  #cadastro.link{
    position: absolute;
    background: #e1eaeb;
    color: #7f7c7c;
    left: 0px;
    height: 15px;
    width: 240px;
    padding: 20px 30px 20px 30px;
    font-size: 12px;
    text-align: left;
    border-top: 1px solid #dbe5e8;
  
    -webkit-border-radius: 0 0  5px 5px;
    border-radius: 0 0  5px 5px;
  }
  #cadastro.link a {
    font-weight: bold;
    background: #f7f8f1;
    padding: 6px;
    color: rgb(29, 162, 193);
    margin-left: 10px;
    border: 1px solid #cbd518;
  
    -webkit-border-radius: 4px;
    border-radius: 4px;  
  
    -webkit-transition: all 0.4s linear;
    transition: all 0.4s  linear;
  }
  #cadastro.link a:hover {
    color: #39bfd7;
    background: #f7f7f7;
    border: 1px solid #4ab3c6;
  }
  /* estilos para para ambos os formulários */
  #cadastro, 
  #login{
    position: absolute;
    top: 0px;
    width: 88%; 
    padding: 18px 6% 60px 6%;
    margin: 0 0 35px 0;
    background: rgb(247, 247, 247);
    border: 1px solid rgba(147, 184, 189,0.8);
    border-radius: 5px;
    
    -webkit-animation-duration: 0.5s;
    -webkit-animation-timing-function: ease;
    -webkit-animation-fill-mode: both;
  
    animation-duration: 0.5s;
    animation-timing-function: ease;
    animation-fill-mode: both;
  }

  #login{
    position: absolute;
    top: 0px;
    width: 88%; 
    padding: 18px 6% 60px 6%;
    margin: 0 0 35px 0;
    background: rgb(247, 247, 247);
    border: 1px solid rgba(147, 184, 189,0.8);
    border-radius: 5px;
    
    -webkit-animation-duration: 0.5s;
    -webkit-animation-timing-function: ease;
    -webkit-animation-fill-mode: both;
  
    animation-duration: 0.5s;
    animation-timing-function: ease;
    animation-fill-mode: both;
  }
  
  #paracadastro:target ~ .content #cadastro,
  #paralogin:target ~ .content #login{
    z-index: 2;
    -webkit-animation-name: fadeInLeft;
    animation-name: fadeInLeft;
  
    -webkit-animation-delay: .1s;
    animation-delay: .1s;
  }
  #registro:target ~ .content #login,
  #paralogin:target ~ .content #cadastro{
    -webkit-animation-name: fadeOutLeft;
    animation-name: fadeOutLeft;
  }
  
  /*fadeInLeft*/
  @-webkit-keyframes fadeInLeft {
    0% {
      opacity: 0;
      -webkit-transform: translateX(-20px);
    }
    100% {
      opacity: 1;
      -webkit-transform: translateX(0);
    }
  }
  
  @keyframes fadeInLeft {
    0% {
      opacity: 0;
      transform: translateX(-20px);
    }
    100% {
      opacity: 1;
      transform: translateX(0);
    }
  }
  
  /*fadeOutLeft*/
  @-webkit-keyframes fadeOutLeft {
    0% {
      opacity: 1;
      -webkit-transform: translateX(0);
    }
    100% {
      opacity: 0;
      -webkit-transform: translateX(-20px);
    }
  }
  
  @keyframes fadeOutLeft {
    0% {
      opacity: 1;
      transform: translateX(0);
    }
    100% {
      opacity: 0;
      transform: translateX(-20px);
    }
  }

/* ______________________________________________________________
/* CSS do Menu
/* resetando a fonte */
 body{
    font-family: 'Roboto', sans-serif;
   }
   
   /* estilizando a div orverlay */
   .overlay {
    height: 100vh; /* deixando o overlay 100% na vertical */
    width: 0;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,.7);
    opacity: 0; /*iniciando opacidade em 0 */
    transition: opacity 1s;
   }
   
   /* estilizando o botão abrir menu */
   .menu-open{
    background: #4ab3c6;
    color: #fff;
    font-size: 20px;
    text-decoration: none;
    padding: 10px 20px;
    margin: 40px 30px;
    display: inline-block;
    text-transform: uppercase;
   }
   
   /* estilizando o botão fechar menu */
   .menu a.menu-close {
    padding: 8px 0 4px 23px;
    color: #6B6B6B;
    display: block;
    margin: -30px 0 -10px -20px;
    font-size: 35px;
    text-decoration: none;
   }
   
   /* estilizando o menu em si */
   .menu {
    overflow: hidden;
    background: rgba(86, 199, 214, 0.95);
    padding: 40px 0 0 40px;
    position: fixed;
    top: 0;
    right: -290px; /*iniciando o menu com menos 290px para fora do browser*/
    height: 100%;
    z-index: 2;
    transition: 0.5s;
    width: 250px;
   }
   
   /* estilizando o menu + ul */
   .menu ul{
    list-style: none;
    padding: 0;
    margin: 0;
    overflow-y: auto;
    width: 500px;
    height: 95%;
   }
   
   /* estilizando o menu + ul li + a */
   .menu ul li a {
    display: block;
    border-bottom: 1px solid #131313;
    padding: 6px 4px 6px 4px;
    color: #f7f5f5;
    transition: 0.3s;
    text-decoration: none;
   }
   
   /* Editando Perfil */
   .formulario{
    width: 400px;
    padding: 30px;
    border:1px solid #ccc;
}
.formulario p{
    width: 100%;
    font-size: 1.5em;
    color: #405c60;
    position: relative;
    margin-bottom:15px;
    margin: 0px;
}
.field{
    width: 100%;
    margin: 15px 0;
}
.field label, 
.field span{
    padding-left: 10px;
    font-size: 1.1em;
    display: block;
    width: 100%;
}
.radiobox label{
    width: auto;
    display: inline-block;
}
input[type=text],
input[type=email],
textarea{
    width: 100%;
    padding-left: 10px;
    height: 30px;
    line-height: 30px;
    border-radius: 15px;
    border: 1px solid #ccc;
    outline: none;
}
input#nao{
    margin-left: 30px;
}
textarea{
    line-height: 20px;
    padding: 10px;
    height: 90px;
    resize: none;
}
input[type=submit]{
    display: block;
    background-color: #ccc;
    height: 35px;
    border: none;
    outline: 0;
    cursor: pointer;
    width: 100px;
    margin: 0 auto;
    text-align: center;
    border-radius: 15px;
}
* {
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Montserrat', sans-serif;
  background: #52d2db;
  background-image: url("../img/fitness-vector.jpg");
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

h2 {
  text-align: center;
  margin: 20px auto;
  color: #fff;
}

.accordion-menu {
  width: 100%;
  max-width: 350px;
  margin: 60px auto 20px;
  background: #fff;
  border-radius: 4px;
}
.accordion-menu li.open .dropdownlink {
  color: #CDDC39;
}
  .accordion-menu.fa-chevron-down {
    transform: rotate(180deg);
  }

.accordion-menu li:last-child .dropdownlink {
  border-bottom: 0;
}
.dropdownlink {
  cursor: pointer;
  display: block;
  padding: 15px 15px 15px 45px;
  font-size: 18px;
  border-bottom: 1px solid #ccc;
  color: #212121;
  position: relative;
  transition: all 0.4s ease-out;
}
  
  .i {
    position: absolute;
    top: 17px;
    left: 16px;
  }
  
  .fa-chevron-down {
    right: 12px;
    left: auto;
  }


.submenuItems {
  display: none;
  background: #C8E6C9;
}

.submenuItems li {
  border-bottom: 1px solid #B6B6B6;
}

.submenuItems a {
  display: block;
  color: #727272;
  padding: 12px 12px 12px 45px;
  transition: all 0.4s ease-out;
}
  .submenuItems:hover {
    background-color: #CDDC39;
    color: #fff;
  }
